Subject: Re: [SWIPL] Getting Started with SWI

From: Steve Prior <[email-masked]>
Date: Mon, 17 Sep 2001 19:19:15 -0400

Thanks Richard and all the others who have responded.  You have all
been eager to help and that made me feel welcome.  I tried the [user].
and entered the following:

?- [user].
|: friends(X,Z):-
|: friends(X,Y),
|: friends(Y,Z).
|: friends("steve","alicja").
|: friends("alicja","tim").
^D
%user compiled 0.00 sec, 676 bytes

?- friends("steve","alicja").
ERROR: Out of local stack
Exception: (31,742) friends([115, 116, 101, 118, 101], _G404) ?

I'm using SWI-Prolog (version 4.0.9) on Windows 2000

Did I step on some kind of known problem?

Thanks
Steve

"Richard A. O'Keefe" wrote:

> Tom Breton wrote:
>
>         You need to type
>
>                 [user].
>
>         before defining rules, and ^D when you're done.
>
> Correction.  You should type *whatever* your end-of-file key is,
> at the beginning of a line with nothing else on it.
> For many people, the end-of-file key is ^Z, not ^D.
>
> Or you can use the Prolog end-of-file convention, which is to type
>         end_of_file.
> and works whatever the host's end-of-file convention might be.